/* 
Theme Name: Theme Wycan
Theme URI: https://wycan.fr
Description: Theme wordpress/woocommerce
Author: Wycan team
Author URI: https://wycan.fr
Template: hello-elementor
Version: 2.0.0
Text Domain: theme-wycan
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

/**** Icônes ****/
.mouse-icon__wheel {
   animation: scroll-wheel 3.4s ease-in-out infinite;
   transform-origin: center;
}
@keyframes scroll-wheel {
   0% {
      transform: translateY(35px);
   }

   20% {
      transform: translateY(10px);
   }
   100% {
      transform: translateY(35px);
   }
}
/**** Marquee ****/
.marquee {
   --marquee-duration: 150s;
}
.marquee ul.elementor-icon-list-items {
   display: flex !important;
   flex-wrap: nowrap !important;
   align-items: center;
   white-space: nowrap;
   width: max-content;
   will-change: transform;
   animation: marquee var(--marquee-duration) linear infinite;
}
@keyframes marquee {
   from {
      transform: translateX(0);
   }
   to {
      transform: translateX(-50%);
   }
}

/**** Menu ****/
.e-n-menu-title a:after {
   content: "";
   background: var(--e-global-color-primary);
   position: absolute;
   bottom: 0;
   left: 0;
   width: 100%;
   height: 2px;
   transform: scaleX(0);
   -webkit-transform: scaleX(0);
   transition: transform 0.4s ease-out;
   -webkit-transition: transform 0.4s ease-out;
   transform-origin: bottom right;
}
.e-n-menu-title a:hover:after {
   transform: scaleX(1);
   -webkit-transform: scaleX(1);
   transform-origin: bottom left;
}
.menu-hover {
   margin-right: -130px;
}
.menu-hover:hover {
   margin-right: 0px !important;
}
.menuBarIcon .bar {
   transform-origin: 100% 50%;
   transition: transform 220ms ease;
   will-change: transform;
}
.menuBarIcon .b1 {
   fill: #fff;
   transform: scaleX(0.55);
}
.menuBarIcon .b2 {
   transform: scaleX(0.9);
}
.menuBarIcon .b3 {
   fill: #fff;
   transform: scaleX(0.7);
}
.menuBarIcon:hover .b1 {
   fill: #fff;
   transform: scaleX(0.9);
}
.menuBarIcon:hover .b2 {
   transform: scaleX(0.55);
}
.menuBarIcon:hover .b3 {
   fill: #fff;
   transform: scaleX(0.8);
}

/**** Contour ****/
.contour {
   -webkit-text-stroke-width: 2px;
   stroke-width: 2px;
   color: transparent;
}
.contour.w1 {
   -webkit-text-stroke-width: 1px !important;
   stroke-width: 1px !important;
}
.contour.w3 {
   -webkit-text-stroke-width: 3px !important;
   stroke-width: 3px !important;
}
.contour.white {
   -webkit-text-stroke-color: #fff;
   stroke: #fff;
}
.contour.bg {
   -webkit-text-stroke-color: var(--e-global-color-d25f57b);
   stroke: var(--e-global-color-d25f57b);
}
.contour.bg2 {
   -webkit-text-stroke-color: var(--e-global-color-caf2166);
   stroke: var(--e-global-color-caf2166);
}
.contour.primary {
   -webkit-text-stroke-color: var(--e-global-color-primary);
   stroke: var(--e-global-color-primary);
}
.contour.secondary {
   -webkit-text-stroke-color: var(--e-global-color-secondary);
   stroke: var(--e-global-color-secondary);
}
.contour.accent {
   -webkit-text-stroke-color: var(--e-global-color-accent);
   stroke: var(--e-global-color-accent);
}
